<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>fastexport</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="fastexport">
<span id="ext-fastexport"></span>
<h1 class="title">fastexport</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#commands" id="toc-entry-1">Commands</a><ul>
<li><a class="reference internal" href="#change-import-export" id="toc-entry-2">Change import/export</a></li>
</ul>
</li>
</ul>
</div>
<p>export repositories as git fast-import stream</p>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="change-import-export">
<h2><a class="toc-backref" href="#contents">Change import/export</a></h2>
<div class="section" id="fastexport-1">
<h3>fastexport</h3>
<p>export repository as git fast-import stream:</p>
<pre class="literal-block">
hg fastexport [OPTION]... [REV]...
</pre>
<p>This command lets you dump a repository as a human-readable text stream.
It can be piped into corresponding import routines like &quot;git fast-import&quot;.
Incremental dumps can be created by using marks files.</p>
<p>Options:</p>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>revisions to export</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-i</span>, <span class="option">--import-marks <var>&lt;FILE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>old marks file to read</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-e</span>, <span class="option">--export-marks <var>&lt;FILE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>new marks file to write</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-A</span>, <span class="option">--authormap <var>&lt;FILE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>remap usernames using this file</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
</div>
</div>
</div>
</body>
</html>
